package org.reti.element;

import java.util.ArrayList;
import java.util.Arrays;

public class Libro implements Comparable<Libro> {

	private String titolo;
	private String isbn;
	private String dataPub;
	private ArrayList<Autore> autori;
	
	public Libro(){
		this.titolo = "Ignoto";
		this.isbn = "Ignoto";
		this.dataPub = "Ignota";
		this.autori = null;
	}

	public Libro(String titolo, String isbn, String dataPub,
			ArrayList<Autore> autori) {
		super();
		this.titolo = titolo;
		this.isbn = isbn;
		this.dataPub = dataPub;
		this.autori = autori;
	}
	
	public Libro(String titolo, String isbn, String dataPub,Autore...autors){
		super();
		this.titolo = titolo;
		this.isbn = isbn;
		this.dataPub = dataPub;
		this.autori = new ArrayList(Arrays.asList(autors));
	}

	public String getTitolo() {
		return titolo;
	}

	public void setTitolo(String titolo) {
		this.titolo = titolo;
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public String getDataPub() {
		return dataPub;
	}

	public void setDataPub(String dataPub) {
		this.dataPub = dataPub;
	}

	public ArrayList<Autore> getAutori() {
		return autori;
	}

	public void setAutori(ArrayList<Autore> autori) {
		this.autori = autori;
	}
	
	@Override
	public String toString() {
		String s = titolo+",";
		for(Autore a:autori){
			s+=a+",";
		}
		s+=isbn+","+dataPub;
		return s;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Libro other = (Libro) obj;
		if (isbn == null) {
			if (other.isbn != null)
				return false;
		} else if (!isbn.equals(other.isbn))
			return false;
		return true;
	}

	@Override
	public int compareTo(Libro l) {
		return isbn.compareTo(l.isbn);
	}
	
	

	
	
	
	
	
}
