package org.reti.social;

import java.util.ArrayList;
import java.util.List;

import org.reti.element.Libreria;

public class User {
	
	private ArrayList<User> amici;
	private String username;
	private String password;
	private String nome;
	private String cognome;
	private Libreria lib;
	
	public User(String username, String password, String nome, String cognome) {
		super();
		this.username = username;
		this.password = password;
		this.nome = nome;
		this.cognome = cognome;
		amici = new ArrayList<User>();
	}
	
	public void addAmico(User amico){
		amici.add(amico);
	}
	
	public void setLibreria(Libreria l){
		lib = l;
	}
	
	public Libreria getLibreria(){
		return lib;
	}
	
	public void removeAmico(User amico){
		amici.remove(amico);
	}
	
	public List<User> getAmici(){
		return amici;
	}
	
	public String getUsername(){
		return this.username;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		User other = (User) obj;
		if (username == null) {
			if (other.username != null)
				return false;
		} else if (!username.equals(other.username))
			return false;
		return true;
	}
	
	public String toString(){
		return nome+" "+cognome;
	}
	
	
	
	
	
	

}
